Skip to main content

GET Endpoints

List resources with pagination:

GEThttps://demo.littlebit.in:443/minimal/api/rest/auto/v1/btec/tst/ms//
📋 Schema — demo_db.users
-- demo_db.users schema
CREATE TABLE users (
  id INT AUTO_INCREMENT PRIMARY KEY,
  name VARCHAR(100) NOT NULL,
  email VARCHAR(100) NOT NULL UNIQUE,
  created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB;
curl --location 'https://demo.littlebit.in:443/minimal/api/rest/auto/v1/btec/tst/ms/demo_db/users?pg=0&ps=10' \
  --header 'X-Org-Id: 01KKBPGAE4CR13W14E4T4ACSAB' \
  --header 'X-Project-Id: 01KF6G55AK87WWGQ145SDA2AC9' \
  --header 'X-Space-Id: 01KF6G55AK87WWGQ145SDA25X9' \
  --header 'X-User-Id: 01KBY3K9NDC5XW523M2V1Z0373' \
  --header 'X-User-Roles: users, admin'
// Hit "Send GET" to see the live response
URL Structure
/v1/acme/demo/ms/demo_db
│ │ │ │
│ │ │ └── database name
│ │ └── ms = MySQL
│ └── project abbreviation
└── org abbreviation

Query Parameters

ParamTypeDescription
pgintegerPage number (0-based)
psintegerItems per page (default: 10)

Required Headers

All requests to Minimal must include these headers.

They are mandatory — missing any header results in a 400 Bad Request.

HeaderFormatDescription
X-Org-IdStringOrganization identifier
X-Project-IdStringProject identifier within the organization
X-Space-IdStringWorkspace/environment identifier within the project
X-User-IdStringAuthenticated user's identifier
X-User-RolesComma-separated stringUser's roles (e.g., admin,editor)